Source: https://dinakar-planhat.docs-staging.pageloop.ai/api-reference/articles/listarticles

# List articles

GET `https://api.pageloop.ai/v1/articles`

Returns the organization's knowledge-base articles, newest first.

## Query Parameters

#### limit (query, integer)

Maximum number of articles to return (default 20, max 100).

#### status (query, enum (string)) — allowed: published, draft, archived

Filter by publication status.

## Response

#### 200

Articles

#### id (string, required)

Unique article identifier.

#### title (string, required)

Article title as shown in the help center.

#### status (enum (string)) — allowed: published, draft, archived

Publication status.

#### updatedAt (string)

Last modification timestamp.

#### author (object)

The article's author.

#### properties

#### id (string)

Author user id.

#### name (string)

Display name.

#### Request

```bash cURL
curl -X GET 'https://api.pageloop.ai/v1/articles' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.pageloop.ai/v1/articles', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.pageloop.ai/v1/articles',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
[
  {
    "id": "string",
    "title": "string",
    "status": "published",
    "updatedAt": "date-time",
    "author": {
      "id": "string",
      "name": "string"
    }
  }
]
```
